[arch-commits] Commit in spyder/repos/community-any (3 files)

Bruno Pagani archange at gemini.archlinux.org
Sun Dec 5 16:09:16 UTC 2021


    Date: Sunday, December 5, 2021 @ 16:09:15
  Author: archange
Revision: 1065187

archrelease: copy trunk to community-any

Added:
  spyder/repos/community-any/PKGBUILD
    (from rev 1065186, spyder/trunk/PKGBUILD)
Deleted:
  spyder/repos/community-any/PKGBUILD
  spyder/repos/community-any/fix-pylint-2.10.patch

-----------------------+
 PKGBUILD              |  275 +++++++++++++++++++++++-------------------------
 fix-pylint-2.10.patch |   64 -----------
 2 files changed, 136 insertions(+), 203 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-12-05 16:08:51 UTC (rev 1065186)
+++ PKGBUILD	2021-12-05 16:09:15 UTC (rev 1065187)
@@ -1,139 +0,0 @@
-# Maintainer: Muflone http://www.muflone.com/contacts/english/
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-# Contributor: Francois Boulogne <fboulogne at april.org>
-# Contributor: TDY <tdy at gmx.com>
-
-pkgname=spyder
-pkgver=5.1.5
-pkgrel=2
-pkgdesc="The Scientific Python Development Environment"
-arch=(any)
-url="https://www.spyder-ide.org/"
-license=(MIT)
-makedepends=(python-sphinx)
-depends=(
-    python-atomicwrites
-    python-chardet
-    python-cloudpickle
-   	python-cookiecutter
-    python-diff-match-patch
-    python-intervaltree
-    ipython
-    python-jedi
-    python-jsonschema
-    python-keyring
-    jupyter-nbconvert
-    python-numpydoc
-    python-parso
-    python-pexpect
-    python-pickleshare
-    python-psutil
-    python-pygments
-    python-pylint
-    python-pyqt5
-    python-pyqtwebengine
-    qt5-webkit
-    python-lsp-server
-    python-lsp-black
-    python-pyls-spyder
-    python-xdg
-    python-pyzmq
-    python-qdarkstyle
-    python-qstylizer
-    python-qtawesome
-    python-qtconsole
-    python-qtpy
-    python-rtree
-    python-setuptools
-    python-sphinx
-    python-spyder-kernels
-    python-textdistance
-    python-three-merge
-    python-watchdog
-    autopep8
-    flake8
-    python-pycodestyle
-    python-pydocstyle
-    python-pyflakes
-    python-rope
-    yapf
-)
-# Starting from autopep8, required optdeps of python-language-server
-optdepends=(
-    'cython: run Cython files in the IPython Console'
-    'python-matplotlib: 2D/3D plotting in the IPython Console'
-    'python-numpy: support for N-dimensional arrays in the Variable Explorer'
-    'python-pandas: support for DataFrames and Series in the Variable Explorer'
-    'python-scipy: support for Matlab workspace in the Variable Explorer'
-    'python-sympy: symbolic mathematics in the IPython Console'
-)
-checkdepends=(
-    python-pytest
-    python-pytest-qt
-    python-pytest-mock
-    python-pytest-cov
-    python-pytest-xvfb
-    python-pytest-order
-    python-pytest-lazy-fixture
-    python-flaky
-    python-pandas
-    python-scipy
-    python-sympy
-    python-pillow
-    python-matplotlib
-    cython
-    git
-    tk
-)
-source=(https://github.com/spyder-ide/${pkgname}/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz
-        fix-pylint-2.10.patch)
-sha512sums=('2204fe46ad3e4e14bebb51ef6a53074b657f6d970553decd0b2f9d0a7fba71b2f14b4efc3248bb4fb944860e85851e4a8add475ff12c6466e864be75b8cc38bb'
-            '7837cb8af529df9f63041a883348a199d549d60bc7ea65913ca07728a087c503830aa2f09e80198f05c3b3b8d0c5de096d5d021e8c148b63d45d7b338d4b3e0e')
-
-prepare() {
-  cd ${pkgname}-${pkgver}
-  # Remove pylint limit, we have a patched lsp (https://github.com/spyder-ide/spyder/pull/16565)
-  patch -p1 -i ../fix-pylint-2.10.patch
-  # Allow our python libraries versions
-  #sed "s|JEDI_REQVER = '=|JEDI_REQVER = '>=|" -i spyder/dependencies.py
-  #sed "s|PARSO_REQVER = '=|PARSO_REQVER = '>=|" -i spyder/dependencies.py
-  sed "s|QDARKSTYLE_REQVER = '=|QDARKSTYLE_REQVER = '>=|" -i spyder/dependencies.py
-  #sed "s|jedi==|jedi>=|" -i setup.py
-  #sed "s|parso==|parso>=|" -i setup.py
-  sed "s|qdarkstyle==|qdarkstyle>=|" -i setup.py
-  # Allow our Qt version
-  sed "s|'pyqt5<5.13'|'pyqt5'|" -i setup.py
-  sed "s|'pyqtwebengine<5.13'|'pyqtwebengine'|" -i setup.py
-}
-
-build() {
-  cd ${pkgname}-${pkgver}
-  python setup.py build
-}
-
-check() {
-  cd ${pkgname}-${pkgver}
-  # Required per above patching
-  #sed "s|jedi =|jedi >=|" -i binder/environment.yml
-  #sed "s|parso =|parso >=|" -i binder/environment.yml
-  sed "s|qdarkstyle =|qdarkstyle >=|" -i binder/environment.yml
-  sed "s|pyqt <5.13|pyqt|" -i binder/environment.yml
-  #sed "s|jedi =|jedi >=|" -i requirements/conda.txt
-  #sed "s|parso =|parso >=|" -i requirements/conda.txt
-  sed "s|qdarkstyle =|qdarkstyle >=|" -i requirements/conda.txt
-  sed "s|pyqt <5.13|pyqt|" -i requirements/conda.txt
-  # Failures from Qt5.12-targeted tests, non-CI tests, etc.
-  # Some even segfaults, but upstream does not support us
-  python runtests.py --color=yes || echo "Tests failed"
-}
-
-package() {
-  cd ${pkgname}-${pkgver}
-  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
-  # Install license file
-  install -Dm644 LICENSE.txt -t ${pkgdir}/usr/share/licenses/${pkgname}/
-  # Install icon file
-  install -Dm644 spyder/images/spyder.svg -t "${pkgdir}"/usr/share/icons/hicolor/scalable/apps/
-  # Remove useless spyder_win_post_install script
-  rm -f "${pkgdir}"/usr/bin/spyder_win_post_install.py
-}

Copied: spyder/repos/community-any/PKGBUILD (from rev 1065186, spyder/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-12-05 16:09:15 UTC (rev 1065187)
@@ -0,0 +1,136 @@
+# Maintainer: Muflone http://www.muflone.com/contacts/english/
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: Francois Boulogne <fboulogne at april.org>
+# Contributor: TDY <tdy at gmx.com>
+
+pkgname=spyder
+pkgver=5.2.0
+pkgrel=1
+pkgdesc="The Scientific Python Development Environment"
+arch=(any)
+url="https://www.spyder-ide.org/"
+license=(MIT)
+makedepends=(python-sphinx)
+depends=(
+    python-atomicwrites
+    python-chardet
+    python-cloudpickle
+   	python-cookiecutter
+    python-diff-match-patch
+    python-intervaltree
+    ipython
+    python-jedi
+    python-jellyfish
+    python-jsonschema
+    python-keyring
+    jupyter-nbconvert
+    python-numpydoc
+    python-parso
+    python-pexpect
+    python-pickleshare
+    python-psutil
+    python-pygments
+    python-pylint
+    python-pyqt5
+    python-pyqtwebengine
+    qt5-webkit
+    python-lsp-server
+    python-lsp-black
+    python-pyls-spyder
+    python-xdg
+    python-pyzmq
+    python-qdarkstyle
+    python-qstylizer
+    python-qtawesome
+    python-qtconsole
+    python-qtpy
+    python-rtree
+    python-setuptools
+    python-sphinx
+    python-spyder-kernels
+    python-textdistance
+    python-three-merge
+    python-watchdog
+    autopep8
+    flake8
+    python-pycodestyle
+    python-pydocstyle
+    python-pyflakes
+    python-rope
+    yapf
+)
+# Starting from autopep8, required optdeps of python-language-server
+optdepends=(
+    'cython: run Cython files in the IPython Console'
+    'python-matplotlib: 2D/3D plotting in the IPython Console'
+    'python-numpy: support for N-dimensional arrays in the Variable Explorer'
+    'python-pandas: support for DataFrames and Series in the Variable Explorer'
+    'python-scipy: support for Matlab workspace in the Variable Explorer'
+    'python-sympy: symbolic mathematics in the IPython Console'
+)
+checkdepends=(
+    python-pytest
+    python-pytest-qt
+    python-pytest-mock
+    python-pytest-cov
+    python-pytest-xvfb
+    python-pytest-order
+    python-pytest-lazy-fixture
+    python-flaky
+    python-pandas
+    python-scipy
+    python-sympy
+    python-pillow
+    python-matplotlib
+    cython
+    git
+    tk
+)
+source=(https://github.com/spyder-ide/${pkgname}/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz)
+sha512sums=('9298c845a17f348bccbe93451f03aef0d4ee2bde2d3025ac7ed695b3e3c3941cb9852f7c56d676ca022a37020a647c93977e0845fe6f5686dd2598236a9c7d9c')
+
+prepare() {
+  cd ${pkgname}-${pkgver}
+  # Allow our python libraries versions
+  #sed "s|JEDI_REQVER = '=|JEDI_REQVER = '>=|" -i spyder/dependencies.py
+  #sed "s|PARSO_REQVER = '=|PARSO_REQVER = '>=|" -i spyder/dependencies.py
+  sed "s|QDARKSTYLE_REQVER = '=|QDARKSTYLE_REQVER = '>=|" -i spyder/dependencies.py
+  #sed "s|jedi==|jedi>=|" -i setup.py
+  #sed "s|parso==|parso>=|" -i setup.py
+  sed "s|qdarkstyle==|qdarkstyle>=|" -i setup.py
+  # Allow our Qt version
+  sed "s|'pyqt5<5.13'|'pyqt5'|" -i setup.py
+  sed "s|'pyqtwebengine<5.13'|'pyqtwebengine'|" -i setup.py
+}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  # Required per above patching
+  #sed "s|jedi =|jedi >=|" -i binder/environment.yml
+  #sed "s|parso =|parso >=|" -i binder/environment.yml
+  sed "s|qdarkstyle =|qdarkstyle >=|" -i binder/environment.yml
+  sed "s|pyqt <5.13|pyqt|" -i binder/environment.yml
+  #sed "s|jedi =|jedi >=|" -i requirements/conda.txt
+  #sed "s|parso =|parso >=|" -i requirements/conda.txt
+  sed "s|qdarkstyle =|qdarkstyle >=|" -i requirements/conda.txt
+  sed "s|pyqt <5.13|pyqt|" -i requirements/conda.txt
+  # Failures from Qt5.12-targeted tests, non-CI tests, etc.
+  # Some even segfaults, but upstream does not support us
+  python runtests.py --color=yes || echo "Tests failed"
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
+  # Install license file
+  install -Dm644 LICENSE.txt -t ${pkgdir}/usr/share/licenses/${pkgname}/
+  # Install icon file
+  install -Dm644 spyder/images/spyder.svg -t "${pkgdir}"/usr/share/icons/hicolor/scalable/apps/
+  # Remove useless spyder_win_post_install script
+  rm -f "${pkgdir}"/usr/bin/spyder_win_post_install.py
+}

Deleted: fix-pylint-2.10.patch
===================================================================
--- fix-pylint-2.10.patch	2021-12-05 16:08:51 UTC (rev 1065186)
+++ fix-pylint-2.10.patch	2021-12-05 16:09:15 UTC (rev 1065187)
@@ -1,64 +0,0 @@
-From fd8360471bc6ab76ffd33799bc402e48342286b0 Mon Sep 17 00:00:00 2001
-From: Carlos Cordoba <ccordoba12 at gmail.com>
-Date: Sat, 9 Oct 2021 12:13:18 -0500
-Subject: [PATCH 1/4] Remove top constraint on Pylint
-
----
- binder/environment.yml | 2 +-
- requirements/conda.txt | 2 +-
- setup.py               | 2 +-
- spyder/dependencies.py | 2 +-
- 4 files changed, 4 insertions(+), 4 deletions(-)
-
-diff --git a/binder/environment.yml b/binder/environment.yml
-index 5ce8931ca5..b19e80e576 100644
---- a/binder/environment.yml
-+++ b/binder/environment.yml
-@@ -26,7 +26,7 @@ dependencies:
- - pickleshare >=0.4
- - psutil >=5.3
- - pygments >=2.0
--- pylint >=2.5.0,<2.10.0
-+- pylint >=2.5.0
- - pyls-spyder >=0.4.0
- - pyqt <5.13
- - python-lsp-black >=1.0.0
-diff --git a/requirements/conda.txt b/requirements/conda.txt
-index 93a0b15132..471c8033e6 100644
---- a/requirements/conda.txt
-+++ b/requirements/conda.txt
-@@ -22,7 +22,7 @@ pexpect >=4.4.0
- pickleshare >=0.4
- psutil >=5.3
- pygments >=2.0
--pylint >=2.5.0,<2.10.0
-+pylint >=2.5.0
- pyls-spyder >=0.4.0
- pyqt <5.13
- python-lsp-black >=1.0.0
-diff --git a/setup.py b/setup.py
-index f81c314df2..09fab41d11 100644
---- a/setup.py
-+++ b/setup.py
-@@ -222,7 +222,7 @@ def run(self):
-     'pickleshare>=0.4',
-     'psutil>=5.3',
-     'pygments>=2.0',
--    'pylint>=2.5.0,<2.10.0',
-+    'pylint>=2.5.0',
-     'python-lsp-black>=1.0.0',
-     'pyls-spyder>=0.4.0',
-     'pyqt5<5.13',
-diff --git a/spyder/dependencies.py b/spyder/dependencies.py
-index 61576fd824..9fa832ce38 100644
---- a/spyder/dependencies.py
-+++ b/spyder/dependencies.py
-@@ -52,7 +52,7 @@
- PICKLESHARE_REQVER = '>=0.4'
- PSUTIL_REQVER = '>=5.3'
- PYGMENTS_REQVER = '>=2.0'
--PYLINT_REQVER = '>=2.5.0;<2.10.0'
-+PYLINT_REQVER = '>=2.5.0'
- PYLSP_REQVER = '>=1.2.2;<1.3.0'
- PYLSP_BLACK_REQVER = '>=1.0.0'
- PYLS_SPYDER_REQVER = '>=0.4.0'



More information about the arch-commits mailing list